#ifndef CONNECTIONSERVICE_HPP 
#define CONNECTIONSERVICE_HPP

#include "../Service.hpp"
#include <string>

namespace mole {

    namespace serv {
	class ConnectionResponse;

	class ConnectionService : public Service {

	    public :
		ConnectionService(mole::ctx::Request *);
		ConnectionService();
		~ConnectionService();

		ConnectionResponse * getResponse();

		Service * newInvocableService(mole::ctx::Request * r);

	    protected :
	};

    }; // end serv

}; // end mole

#endif
